layui.extend({
    common    :   'js/common'
}).use(['jquery','table','layer','form','common','util'], function () {
    var $ = layui.jquery;
    var table = layui.table;
    //  弹窗插件
    var layer = layui.layer;
    //  表单插件
    var form = layui.form;
    var common = layui.common;

    //图片服务器地址
    var onlineOrOffline = $('#onlineOrOffline').val();
    var Data = {
        tableId: 'table_id',
        selectedIdSet: new Set(),
    };
    var table_ad_checkbox_map = window.parent.table_ad_checkbox_map;
    //表格对象
    var layuiTable = common.layuiTable.render(table,{
        id: Data.tableId
        ,elem: '#table_id'  //页面table的id
        , url: '/ad/content/showAdContentList?isHasMaterial=1&onlineOrOffline='+onlineOrOffline //后台接口
        ,toolbar: '#table-head-id'  //头部按钮
        ,method: 'post'
        , cellMinWidth: 80 //全局定义常规单元格的最小宽度，
        , cols: [[
            { type: 'checkbox'}
            , { field: 'adTitle', title: '广告名称'}
            , { field: 'adCode', title: '广告编号'}
            , { field: 'adTypeName', title: '广告类别' }
            , { field: 'createAccountName', title: '创建人' }
            , { field: 'createDate', title: '创建时间'}
        ]]
        //  开启分页功能
        , page: true
        , done:function (res, curr, count){//table渲染完成之后执行
            //获取之前选中的数据
            var table_ad_checkbox_map = window.parent.table_ad_checkbox_map;
            var table_data = res.data;
            if(table_ad_checkbox_map.size>0){
                for(var i=0;i<table_data.length;i++){
                    //如果包含
                    if(table_ad_checkbox_map.has(table_data[i].id)){
                        //这里才是真正的有效勾选
                        table_data[i]['LAY_CHECKED']=true;
                        //找到对应数据改变勾选样式，呈现出选中效果
                        var index= res.data[i]['LAY_TABLE_INDEX'];
                        $('div[lay-id="table_id"] .layui-table-box table tr[data-index="' + index + '"]').find('td:first .layui-form-checkbox').click();
                    }
                }
            }
        }
    });

    layui.table.on('checkbox(table_id)', function (obj) {
        if (obj.type === 'all') {
            if (obj.checked) {
                var list = layui.table.checkStatus(Data.tableId).data;
                list.forEach(function (entity) {
                    table_ad_checkbox_map.set(Number.parseInt(entity.id),entity)
                });
            } else {
                layui.table.cache[Data.tableId].forEach(function (entity) {
                    table_ad_checkbox_map.delete(Number.parseInt(entity.id))
                });
            }
        } else {
            var id = obj.data.id;
            var data = obj.data;
            obj.checked ? table_ad_checkbox_map.set(id,data) : table_ad_checkbox_map.delete(id)
        }
    });
    //头工具栏事件 lay-filter="table_id"
    table.on('toolbar(table_id)', function(obj){
        // var table_ad_checkbox_map = window.parent.table_ad_checkbox_map;
        var data = obj.data;
        //确认选择
        if(obj.event === 'confirm'){
            //获取当前弹窗出层的名字
            var mylay = parent.layer.getFrameIndex(window.name);
            //关闭弹窗层
            parent.layer.close(mylay);
            //清除选中
            //清空
        }
        //获取父窗口元素--显示关联数量
        $('#relative_ad_count',window.parent.document).text(table_ad_checkbox_map.size);
    });
    //监听table_community的checkbox的选中
    // table.on('checkbox(table_id)',function (obj) {
    //     var type = obj.type;  //one,all
    //     var checkbox = obj.checked; //true false
        //获取父页面对象---map对象
    //     var table_ad_checkbox_map = window.parent.table_ad_checkbox_map;
        //清空
    //     table_ad_checkbox_map.clear();
        //选中元素
    //     table_ad_checkbox_map.set(obj.data.id,obj.data.adTitle);//key:id  value:name
        //获取父窗口元素--显示关联数量
    //     $('#relative_ad_count',window.parent.document).text(table_ad_checkbox_map.size);
        //选中的广告图片集合 显示图片播放时间
    //     var imgs =obj.data.adContentImgs;
    //     if(imgs!=null&&imgs.length>0){
    //         $('#ad_img',window.parent.document).show();
    //         $('#imgPlayTime',window.parent.document).attr("lay-verify","required|number");
    //         $('#isImgPlayTime',window.parent.document).val("1");
    //     }else{
    //         $('#imgPlayTime',window.parent.document).removeAttr("lay-verify");
    //         $('#ad_img',window.parent.document).hide();
    //         $('#isImgPlayTime',window.parent.document).val("0");
    //     }
    // })

    //查询方法
    var queryTableFn = function(){
        var adTitle = $('#selectedAdTitle').val();
        var adCode = $('#selectedAdCode').val();
        var adTypeId = $('#selectedAdTypeId').val();
        //重新加载表格
        layuiTable.reload({
            where:{
                adTitle    :   adTitle,
                adCode     :   adCode,
                adTypeId   :   adTypeId
            }
            //重新从第1页开始
            ,page: {
                curr: 1
            }
        });
    };

    //按小区的搜索按钮绑定点击事件
    $('#select_search_btn').on('click', function () {
        queryTableFn();
    });

    //获取根机构下面所有广告类型Adtype
    common.sendAsyncRequest("/ad/type/getAdTypeList","GET",{},function(result){
        var $select = $('#selectedAdTypeId');
        result.list.forEach(function (item){
            $select.append('<option value="' + item.id + '">' + item.name+ '</option>')
        });
        // 刷新select标签
        form.render('select');
    });

});

